version: '3'

tasks:
  env:prep:
        - poetry shell
        - poetry install
  env:update:
    - poetry shell
    - poetry update
  lint:ruff:check:
    - ruff check .
    - ruff format --check .
  lint:ruff:
    - ruff .
    - ruff format .
  mypy:
    - mypy {{.CLI_ARGS}}
  db:gen:
    - alembic revision --autogenerate -m {{.CLI_ARGS}}
  db:head:
    - alembic upgrade head
  db:seed:
    - python ./app/initial_data.py
  db:is:ready:
    - python ./app/backend_pre_start.py
  pytest:
    pytest {{.CLI_ARGS}}

  lint:
    cmds:
      - task: lint:ruff
      - task: mypy
